Skip to main content
GET
/
project-types
/
{id}
Get a project type
curl --request GET \
  --url https://www.ruddr.io/api/workspace/project-types/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "a3f1c2d4-7e89-4b56-a123-8d2e9f034c71",
  "name": "Internal Delivery",
  "isActive": true,
  "createdAt": "2025-09-18T14:25:35.149Z",
  "invoiceItem": {
    "id": "72761804-b01e-4c8f-8352-2fcde43261a8",
    "name": "Service"
  }
}
A classification that can be assigned to projects and used to filter reports.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

The unique identifier of the project type.

Response

200

id
string

The unique identifier for the object.

name
string

The name of the project type.

isActive
boolean

Whether the project type is active.

createdAt
string<date-time>

The timestamp when the object was created.

invoiceItem
object

The invoice item associated with this project type.